Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1645140 (CVE-2018-18710) - CVE-2018-18710 kernel: Information leak in cdrom_ioctl_select_disc in drivers/cdrom/cdrom.c
Summary: CVE-2018-18710 kernel: Information leak in cdrom_ioctl_select_disc in drivers...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-18710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1645141 1648485 1650476
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 13:32 UTC by Pedro Sampaio
Modified: 2021-02-16 22:50 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An issue was discovered in the Linux kernel through 4.19. An information leak in cdrom_ioctl_select_disc in drivers/cdrom/cdrom.c could be used by local attackers to read kernel memory because a cast from unsigned long to int interferes with bounds checking.
Clone Of:
Environment:
Last Closed: 2020-04-30 16:31:46 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2018-11-01 13:32:54 UTC
An issue was discovered in the Linux kernel through 4.19. An information leak in cdrom_ioctl_select_disc in drivers/cdrom/cdrom.c could be used by local attackers to read kernel memory because a cast from unsigned long to int interferes with bounds checking. This is similar to CVE-2018-10940 and CVE-2018-16658.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=e4f3aa2e1e67bb48dfbaaf1cad59013d5a5bc276
https://github.com/torvalds/linux/commit/e4f3aa2e1e67bb48dfbaaf1cad59013d5a5bc276

Comment 2 Laura Pardo 2018-11-09 21:15:40 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1648485]

Comment 5 Product Security DevOps Team 2020-04-30 16:31:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-18710


Note You need to log in before you can comment on or make changes to this bug.